<template>
    <form-wizard
        shape="tab"
        color="#194325"
        :title="field.title"
        :subtitle="field.subtitle"
        @on-loading="setLoading"
        @on-error="handleErrorMessage"
    >
        <tab-content
            :title="field.tab1 ? field.tab1.title : ''"
            icon="zmdi zmdi-account-o"
            :before-change="postUser"
        >
            <div class="content">
                <div class="row">
                    <div class="col-md-10 mx-auto">
                        <div class="card ">
                            <template v-if="!tab1">
                                <div class="body">
                                    <div class="row">
                                        <div
                                            class="hoverbg pt-3 col-md-6 cursor-pointer"
                                            @click="tab1 = 1"
                                        >
                                            <h3 class="text-center">
                                                {{
                                                    field.tab1
                                                        ? field.tab1.create_user
                                                        : ""
                                                }}
                                            </h3>
                                        </div>
                                        <div
                                            class="hoverbg pt-3 col-md-6 cursor-pointer"
                                            @click="tab1 = 2"
                                        >
                                            <h3 class="text-center">
                                                {{
                                                    field.tab1
                                                        ? field.tab1.search_user
                                                        : ""
                                                }}
                                            </h3>
                                        </div>
                                    </div>
                                </div>
                            </template>
                            <template v-else-if="tab1 == 1">
                                <div class="body">
                                    <h4 class="text-center">
                                        {{
                                            field.tab1
                                                ? field.tab1.complete_info
                                                : "Complete info"
                                        }}
                                    </h4>
                                    <div class="row">
                                        <div class="col-md-5">
                                            <vue-dropzone
                                                ref="myVueDropzone"
                                                id="dropzone"
                                                :options="dropzoneOptions"
                                                :useCustomSlot="true"
                                                v-on:vdropzone-success="
                                                    fileCharged
                                                "
                                            >
                                                <div
                                                    class="dropzone-custom-content"
                                                >
                                                    <h3 class="text-primary">
                                                        <i
                                                            class="zmdi zmdi-cloud-upload"
                                                            style="font-size:32px"
                                                        ></i>
                                                    </h3>
                                                    <h3 class="text-center">
                                                        {{
                                                            field.dropzone
                                                                ? field.dropzone
                                                                      .title
                                                                : "Drag and drop to upload content!"
                                                        }}
                                                    </h3>
                                                    <div class="text-center">
                                                        {{
                                                            field.dropzone
                                                                ? field.dropzone
                                                                      .subtitle
                                                                : "...or click to select a file from your computer"
                                                        }}
                                                    </div>
                                                </div>
                                            </vue-dropzone>
                                        </div>
                                        <div class="col-md-7 align-self-center">
                                            <div class="form-group">
                                                <input
                                                    v-model="user.firstname"
                                                    type="text"
                                                    class="form-control"
                                                    :placeholder="
                                                        field.tab1
                                                            ? field.tab1
                                                                  .firstname
                                                            : 'firstname'
                                                    "
                                                />
                                                <div
                                                    class="text-danger"
                                                    v-if="
                                                        !$v.user.firstname
                                                            .required
                                                    "
                                                >
                                                    {{
                                                        field.messages
                                                            ? field.messages
                                                                  .required
                                                            : "Required"
                                                    }}
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <input
                                                    v-model="user.lastname"
                                                    type="text"
                                                    class="form-control"
                                                    :placeholder="
                                                        field.tab1
                                                            ? field.tab1
                                                                  .lastname
                                                            : 'lastname'
                                                    "
                                                />
                                                <div
                                                    class="text-danger"
                                                    v-if="
                                                        !$v.user.lastname
                                                            .required
                                                    "
                                                >
                                                    {{
                                                        field.messages
                                                            ? field.messages
                                                                  .required
                                                            : "Required"
                                                    }}
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <input
                                                    v-model="user.email"
                                                    type="email"
                                                    class="form-control"
                                                    :placeholder="
                                                        field.tab1
                                                            ? field.tab1.email
                                                            : 'e-mail'
                                                    "
                                                />
                                                <div
                                                    class="text-danger"
                                                    v-if="
                                                        !$v.user.email.required
                                                    "
                                                >
                                                    {{
                                                        field.messages
                                                            ? field.messages
                                                                  .required
                                                            : "Required"
                                                    }}
                                                </div>
                                                <div
                                                    class="text-danger"
                                                    v-if="!$v.user.email.email"
                                                >
                                                    {{
                                                        field.messages
                                                            ? field.messages
                                                                  .email
                                                            : "Not is Email"
                                                    }}
                                                </div>
                                            </div>
                                            <button
                                                class="btn btn-danger btn-large float-right btn-block"
                                                @click.prevent="
                                                    tab1 = null;
                                                    user = {
                                                        id: null,
                                                        firstname: null,
                                                        lastname: null,
                                                        email: null,
                                                        created: false,
                                                        feature_image: null,
                                                        role: 'agency_admin'
                                                    };
                                                "
                                            >
                                                {{
                                                    field.tab1
                                                        ? field.tab1.cancel
                                                        : "Cancel"
                                                }}
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </template>
                            <template v-else-if="tab1 == 2">
                                <div class="body">
                                    <h4 class="text-center">
                                        {{
                                            field.tab1
                                                ? field.tab1.complete_info
                                                : "Complete info"
                                        }}
                                    </h4>
                                    <div class="row">
                                        <div class="col-md-10 mx-auto">
                                            <input
                                                v-model="search"
                                                class="form-control"
                                                type="text"
                                                id="searchUser"
                                            />
                                            <div
                                                class="text-danger"
                                                v-if="!$v.search.required"
                                            >
                                                {{
                                                    field.messages
                                                        ? field.messages
                                                              .required
                                                        : "Required"
                                                }}
                                            </div>
                                            <div
                                                class="text-danger"
                                                v-if="!$v.search.email"
                                            >
                                                {{
                                                    field.messages
                                                        ? field.messages.email
                                                        : "Not is Email"
                                                }}
                                            </div>
                                            <button
                                                class="btn btn-danger btn-large float-right"
                                                @click.prevent="
                                                    tab1 = null;
                                                    user = {
                                                        id: null,
                                                        firstname: null,
                                                        lastname: null,
                                                        email: null,
                                                        created: false,
                                                        feature_image: null,
                                                        role: 'agency_admin'
                                                    };
                                                "
                                            >
                                                {{
                                                    field.tab1
                                                        ? field.tab1.cancel
                                                        : "Cancel"
                                                }}
                                            </button>
                                            <button
                                                class="btn btn-primary btn-large float-right"
                                                v-if="$v.search.email"
                                                @click.prevent="searchUser"
                                            >
                                                {{
                                                    field.tab1
                                                        ? field.tab1.search
                                                        : "Buscar"
                                                }}
                                            </button>
                                        </div>
                                    </div>
                                    <div
                                        class="row"
                                        v-if="tab1 == 2 && user.id"
                                    >
                                        <div class="col-md-5">
                                            <img
                                                :src="
                                                    user.feature_image
                                                        ? user.feature_image
                                                        : '/img/logo.png'
                                                "
                                                alt=""
                                            />
                                        </div>
                                        <div class="col-md-7 align-self-center">
                                            <div class="form-group">
                                                {{ user.firstname }}
                                            </div>
                                            <div class="form-group">
                                                {{ user.lastname }}
                                            </div>
                                            <div class="form-group">
                                                {{ user.email }}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </template>
                            <template v-else>
                                usuario creado
                            </template>
                        </div>
                    </div>
                </div>
            </div>
        </tab-content>
        <tab-content
            :title="field.tab2 ? field.tab2.title : ''"
            icon="zmdi zmdi-home"
            :before-change="postAgency"
            lazy="true"
        >
            <div class="content">
                <div class="row">
                    <div class="col-md-10 mx-auto pt-4">
                        <div class="card pt-4">
                            <h3 class="text-center">
                                {{ field.tab2 ? field.tab2.subtitle : "" }}
                            </h3>
                            <div class="row pt-4">
                                <div class="col-md-5 align-self-center">
                                    <vue-dropzone
                                        ref="VueDropzoneAgency"
                                        id="dropzoneAgency"
                                        :options="dropzoneOptions"
                                        :useCustomSlot="true"
                                        v-on:vdropzone-success="logoCharged"
                                    >
                                        <div class="dropzone-custom-content">
                                            <h3 class="text-primary">
                                                <i
                                                    class="zmdi zmdi-cloud-upload"
                                                    style="font-size:32px"
                                                ></i>
                                            </h3>
                                            <h3 class="text-center">
                                                {{
                                                    field.dropzone
                                                        ? field.dropzone.title
                                                        : "Drag and drop to upload content!"
                                                }}
                                            </h3>
                                            <div class="text-center">
                                                {{
                                                    field.dropzone
                                                        ? field.dropzone
                                                              .subtitle
                                                        : "...or click to select a file from your computer"
                                                }}
                                            </div>
                                        </div>
                                    </vue-dropzone>
                                </div>
                                <div class="col-md-7 align-self-center">
                                    <div class="form-group">
                                        <input
                                            type="text"
                                            class="form-control"
                                            :placeholder="
                                                field.tab2
                                                    ? field.tab2.company_name
                                                    : ''
                                            "
                                            v-model="agency.company_name"
                                        />
                                        <div
                                            class="text-danger"
                                            v-if="
                                                !$v.agency.company_name.required
                                            "
                                        >
                                            {{
                                                field.messages
                                                    ? field.messages.required
                                                    : "Required"
                                            }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <input
                                            type="text"
                                            class="form-control"
                                            :placeholder="
                                                field.tab2
                                                    ? field.tab2.comercial_name
                                                    : ''
                                            "
                                            v-model="agency.comercial_name"
                                        />
                                        <div
                                            class="text-danger"
                                            v-if="
                                                !$v.agency.comercial_name
                                                    .required
                                            "
                                        >
                                            {{
                                                field.messages
                                                    ? field.messages.required
                                                    : "Required"
                                            }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <input
                                            type="text"
                                            class="form-control"
                                            :placeholder="
                                                field.tab2 ? field.tab2.rif : ''
                                            "
                                            v-model="agency.rif"
                                        />
                                        <div
                                            class="text-danger"
                                            v-if="!$v.agency.rif.required"
                                        >
                                            {{
                                                field.messages
                                                    ? field.messages.required
                                                    : "Required"
                                            }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <VuePhoneNumberInput
                                            show-code-on-list
                                            no-flags
                                            id="phonenumber"
                                            v-model="agency.phone"
                                            :preferred-countries="[
                                                'VE',
                                                'BR',
                                                'UY'
                                            ]"
                                            @update="phone[0] = $event"
                                        />
                                        <div
                                            class="text-danger"
                                            v-if="!$v.agency.phone.required"
                                        >
                                            {{
                                                field.messages
                                                    ? field.messages.required
                                                    : "Required"
                                            }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <VuePhoneNumberInput
                                            show-code-on-list
                                            no-flags
                                            id="phonenumber"
                                            v-model="agency.mobile"
                                            :preferred-countries="[
                                                'VE',
                                                'BR',
                                                'UY'
                                            ]"
                                            @update="phone[1] = $event"
                                        />
                                        <div
                                            class="text-danger"
                                            v-if="!$v.agency.mobile.required"
                                        >
                                            {{
                                                field.messages
                                                    ? field.messages.required
                                                    : "Required"
                                            }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <vue-google-autocomplete
                                            ref="address"
                                            id="map"
                                            classname="form-control"
                                            :placeholder="
                                                field.tab2
                                                    ? field.tab2.address
                                                    : 'select_address'
                                            "
                                            v-on:placechanged="getAddressData"
                                            :country="['ve', 'uy', 'br']"
                                            :enable-geolocation="true"
                                            types="geocode"
                                        >
                                        </vue-google-autocomplete>
                                        <div
                                            class="text-danger"
                                            v-if="!$v.address.required"
                                        >
                                            {{
                                                field.messages
                                                    ? field.messages.required
                                                    : "Required"
                                            }}
                                        </div>
                                    </div>
                                    <div v-if="address" class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <input
                                                    type="text"
                                                    class="form-control"
                                                    :placeholder="
                                                        field.tab2
                                                            ? field.tab2.country
                                                            : ''
                                                    "
                                                    v-model="agency.country"
                                                />
                                                <div
                                                    class="text-danger"
                                                    v-if="
                                                        !$v.agency.country
                                                            .required
                                                    "
                                                >
                                                    {{
                                                        field.messages
                                                            ? field.messages
                                                                  .required
                                                            : "Required"
                                                    }}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <input
                                                    type="text"
                                                    class="form-control"
                                                    :placeholder="
                                                        field.tab2
                                                            ? field.tab2.city
                                                            : ''
                                                    "
                                                    v-model="agency.city"
                                                />
                                                <div
                                                    class="text-danger"
                                                    v-if="
                                                        !$v.agency.city.required
                                                    "
                                                >
                                                    {{
                                                        field.messages
                                                            ? field.messages
                                                                  .required
                                                            : "Required"
                                                    }}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <input
                                                    type="text"
                                                    class="form-control"
                                                    :placeholder="
                                                        field.tab2
                                                            ? field.tab2
                                                                  .postal_code
                                                            : ''
                                                    "
                                                    v-model="agency.postal_code"
                                                />
                                                <div
                                                    class="text-danger"
                                                    v-if="
                                                        !$v.agency.postal_code
                                                            .required
                                                    "
                                                >
                                                    {{
                                                        field.messages
                                                            ? field.messages
                                                                  .required
                                                            : "Required"
                                                    }}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </tab-content>
        <tab-content
            :title="field.tab3 ? field.tab3.title : ''"
            icon="zmdi zmdi-tag"
            :before-change="setMemberships"
            lazy="true"
        >
            <table class="table m-b-0 table-hover">
                <thead>
                    <tr>
                        <th>SKU</th>
                        <th class="clickable">
                            {{ field.tab3 ? field.tab3.name : "name" }}
                        </th>
                        <th class="clickable">
                            {{ field.tab3 ? field.tab3.country : "country" }}
                        </th>
                        <th class="clickable">
                            {{ field.tab3 ? field.tab3.price : "price" }}
                        </th>
                        <th class="clickable">
                            {{
                                field.tab3
                                    ? field.tab3.properties
                                    : "properties"
                            }}
                        </th>
                        <th class="clickable">
                            {{ field.tab3 ? field.tab3.admins : "admins" }}
                        </th>
                        <th class="clickable">
                            {{ field.tab3 ? field.tab3.agents : "agents" }}
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="m of memberships" :key="m.id">
                        <td>
                            <span class="list-name"
                                >MEM {{ m.id | SetIdForm }}</span
                            >
                        </td>
                        <td>{{ m.title }}</td>
                        <td>{{ m.country }}</td>
                        <td>{{ m.price }} USD</td>
                        <td>{{ m.properties }}</td>
                        <td>{{ m.admin_agency }}</td>
                        <td>{{ m.agency_agent }}</td>
                        <td @click="assgined = m">
                            <button
                                v-if="assigned.id == m.id"
                                class="btn btn-block btn-danger"
                                @click="assigned = []"
                            >
                                {{
                                    field.tab3
                                        ? field.tab3.selected
                                        : "selected"
                                }}</button
                            ><button
                                v-else
                                @click.prevent="assigned = m"
                                class="btn btn-block btn-success"
                            >
                                {{
                                    field.tab3
                                        ? field.tab3.unselected
                                        : "select"
                                }}
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </tab-content>
        <tab-content
            :title="field.tab4 ? field.tab4.title : ''"
            icon="zmdi zmdi-check"
            lazy="true"
        >
            <div class="row">
                <div class="col-8 mx-auto mt-4">
                    <h1 class="text-center">
                        <span class="text-success">
                            <i
                                style="font-size:2cm"
                                class="zmdi zmdi-check-circle"
                            ></i>
                        </span>
                    </h1>
                    <br />
                    <h4 class="mt-0 text-center">
                        {{ field.tab4 ? field.tab4.msg1 : "created" }}
                    </h4>
                    <a
                        :href="'/dashboard/agency/show/' + agency.id"
                        class="btn btn-block btn-secundary"
                    >
                        {{ field.tab4 ? field.tab4.see_agency : "see_agency" }}
                    </a>
                </div>
            </div>
        </tab-content>
        <template slot="footer" slot-scope="props">
            <div class="wizard-footer-right">
                <wizard-button
                    v-if="!props.isLastStep"
                    @click.native="props.nextTab()"
                    id="nextButton"
                    class="wizard-footer-right"
                    :style="props.fillButtonStyle"
                    >{{
                        field.button ? field.button.next : "next"
                    }}</wizard-button
                >
                <!-- 
                <wizard-button
                    v-else
                    id="doneButton"
                    class="wizard-footer-right finish-button"
                    :style="props.fillButtonStyle"
                    >{{
                        field.button ? field.button.done : "done"
                    }}</wizard-button
                > -->
            </div>
        </template>
        <div class="loader" v-if="loadingWizard"></div>
        <div class="alert alert-danger" v-if="errorMsg">
            <span class="text-center"
                ><strong>Oh no! </strong>{{ errorMsg }}</span
            >
        </div>
    </form-wizard>
</template>
<script>
import vue2Dropzone from "vue2-dropzone";
import "vue2-dropzone/dist/vue2Dropzone.min.css";
import { required, minLength, between, email } from "vuelidate/lib/validators";
import VuePhoneNumberInput from "vue-phone-number-input";
import "vue-phone-number-input/dist/vue-phone-number-input.css";
import VueGoogleAutocomplete from "vue-google-autocomplete";
export default {
    props: ["lang"],
    components: {
        vueDropzone: vue2Dropzone,
        VuePhoneNumberInput: VuePhoneNumberInput,
        VueGoogleAutocomplete
    },
    data() {
        return {
            field: this.lang,
            loadingWizard: false,
            errorMsg: null,
            tab1: null,
            search: null,
            address: null,
            phone: [],
            assigned: [],
            user: {
                id: null,
                firstname: null,
                lastname: null,
                email: null,
                created: false,
                feature_image: null,
                role: "agency_admin"
            },
            agency: {
                user_id: null,
                company_name: null,
                comercial_name: null,
                rif: null,
                phone: null,
                mobile: null,
                country: null,
                city: null,
                postal_code: null
            },
            dropzoneOptions: {
                url: "/api/files/stored",
                addRemoveLinks: true,
                thumbnailWidth: 150,
                maxFilesize: 0.5,
                acceptedFiles: "image/*",
                capture: true,
                uploadMultiple: false,
                maxFiles: 1
            },
            memberships: null
        };
    },
    validations: {
        address: {
            required
        },
        search: {
            required,
            email
        },
        user: {
            email: {
                required,
                email
            },
            firstname: {
                required
            },
            lastname: {
                required
            }
        },
        agency: {
            company_name: {
                required
            },
            comercial_name: {
                required
            },
            rif: {
                required
            },
            phone: {
                required
            },
            mobile: {
                required
            },
            postal_code: {
                required
            },
            country: {
                required
            },
            city: {
                required
            }
        }
    },
    methods: {
        postUser() {
            $("#nextButton").attr("disabled", true);
            return new Promise((next, stop) => {
                if (this.tab1) {
                    if (!this.user.id) {
                        console.log(this.user);
                        axios
                            .post("/api/users/edit", this.user)
                            .then(res => {
                                this.user = res.data;
                                $("#nextButton").attr("disabled", false);
                                next(true);
                            })
                            .catch(err => {
                                $("#nextButton").attr("disabled", false);
                                stop(err.response.data.msg);
                            });
                    } else {
                        $("#nextButton").attr("disabled", false);
                        next(true);
                    }
                } else {
                    $("#nextButton").attr("disabled", false);
                    stop(
                        this.field.messages
                            ? this.field.messages.select_user
                            : "select_user"
                    );
                }
            });
        },
        postAgency() {
            $("#nextButton").attr("disabled", true);
            return new Promise((next, stop) => {
                if (this.agency.id) {
                    this.getMemberships("ALL", "ALL");
                    this.getMemberships(this.agency.country, "agency");
                    $("#nextButton").attr("disabled", false);
                    next(true);
                } else {
                    console.log(this.agency, this.phone);
                    if (this.$v.agency.$invalid) {
                        $("#nextButton").attr("disabled", false);
                        stop(this.field.messages.complete_required);
                        return false;
                    }

                    if (!this.phone[0].isValid) {
                        $("#nextButton").attr("disabled", false);
                        stop(
                            this.field.tab2.phone +
                                ": " +
                                this.field.messages.invalid_number
                        );
                        return false;
                    } else {
                        this.agency.phone = this.phone[0].formatInternational;
                    }
                    if (!this.phone[1].isValid) {
                        $("#nextButton").attr("disabled", false);
                        stop(
                            this.field.tab2.mobile +
                                ": " +
                                this.field.messages.invalid_number
                        );
                        return false;
                    } else {
                        this.agency.mobile = this.phone[1].formatInternational;
                    }
                    this.agency.user_id = this.user.id;
                    this.agency.city = this.address.administrative_area_level_1;
                    this.agency.country = this.address.country;
                    axios
                        .post("/api/agency", this.agency)
                        .then(res => {
                            this.agency = res.data;
                            this.getMemberships("ALL", "ALL");
                            this.getMemberships(this.agency.country, "agency");
                            $("#nextButton").attr("disabled", false);
                            next(true);
                        })
                        .catch(err => {
                            $("#nextButton").attr("disabled", false);
                            stop(err.response.data.msg);
                            return false;
                        });
                }
            });
        },
        setMemberships() {
            $("#nextButton").attr("disabled", true);
            return new Promise((next, stop) => {
                if (!this.agency.membership_id) {
                    if (!this.assigned) {
                        $("#nextButton").attr("disabled", false);
                        stop("NO_SELECTED_MEMBERSHIP");
                        return false;
                    } else {
                        this.assigned = {
                            membership: this.assigned
                        };
                    }
                    axios
                        .put(
                            "/api/agency/" +
                                this.agency.id +
                                "?setMembership=" +
                                this.assigned.membership.id,
                            this.assigned
                        )
                        .then(res => {
                            this.agency = res.data;
                            $("#nextButton").attr("disabled", false);
                            next(true);
                        })
                        .catch(err => {
                            $("#nextButton").attr("disabled", false);
                            stop(err.response.data.msg);
                        });
                } else {
                    $("#nextButton").attr("disabled", false);
                    next(true);
                }
            });
        },
        getMemberships(country, type) {
            axios
                .get(
                    "/api/memberships?withType=" +
                        type +
                        "&withCountry=" +
                        country
                )
                .then(res => {
                    if (this.memberships) {
                        console.log(this.memberships);
                        this.memberships = this.memberships.concat(res.data);
                        console.log(this.memberships);
                        this.memberships = this.memberships.sort((a, b) => {
                            if (a.id > b.id) {
                                return 1;
                            }
                            if (a.id < b.id) {
                                return -1;
                            }
                            return 0;
                        });
                        console.log(this.memberships);
                    } else {
                        this.memberships = res.data;
                    }
                })
                .catch(err => {
                    this.errorMsg = err.response.data;
                });
        },
        getAddressData: function(addressData, placeResultData, id) {
            this.address = addressData;
            this.agency.postal_code = addressData.postal_code;
            this.agency.city = addressData.administrative_area_level_1;
            this.agency.country = addressData.country;
            this.agency.address_1 = addressData.route;
        },
        searchUser() {
            this.errorMsg = null;
            axios
                .get("/api/users/edit/" + this.search + "?type=email")
                .then(res => {
                    this.user = res.data;
                })
                .catch(err => {
                    this.errorMsg = err.response.data.msg;
                });
        },
        fileCharged(file, res) {
            this.user.feature_image = res;
        },
        logoCharged(file, res) {
            this.agency.logo = res;
        },
        setLoading: function(value) {
            this.loadingWizard = value;
        },
        handleErrorMessage: function(errorMsg) {
            this.errorMsg = errorMsg;
        }
    }
};
</script>
